Package ch.ntb.usb

# Class Usb_Bus

java.lang.Object
ch.ntb.usb.Usb_Bus

public class Usb_Bus extends Object
Represents an USB bus.
This is the root class for the representation of the libusb USB structure. Zero or more devices may be connected to an USB bus.

## Constructor Summary

Constructors
Constructor
Description
`Usb_Bus()`

## Method Summary

Modifier and Type
Method
Description
`Usb_Device`
`getDevices()`
Get the first device ojects of the devices linked list.
`String`
`getDirname()`
Returns the systems String representation of the bus.
`long`
`getLocation()`
Returns the location in the USB bus linked list.
`Usb_Bus`
`getNext()`
Returns the next bus object.
`Usb_Bus`
`getPrev()`
Returns the previous bus object.
`Usb_Device`
`getRootDev()`
Get the root device of this bus.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Usb_Bus

public Usb_Bus()

## Method Details

### getDevices

public Usb_Device getDevices()
Get the first device ojects of the devices linked list.

Returns:
  the first device ojects of the devices linked list or null

### getDirname

public String getDirname()
Returns the systems String representation of the bus.

Returns:
  the systems String representation of the bus

### getNext

public Usb_Bus getNext()
Returns the next bus object.

Returns:
  Returns the next bus object or null

### getPrev

public Usb_Bus getPrev()
Returns the previous bus object.

Returns:
  Returns the previous bus object or null

### getRootDev

public Usb_Device getRootDev()
Get the root device of this bus.

Returns:
  the root device oject or null

### getLocation

public long getLocation()
Returns the location in the USB bus linked list.

Returns:
  the location in the USB bus linked list

### toString

public String toString()

Overrides:
  `toString` in class `Object`